Subject: Re: linux-next: manual merge of the block tree with the drbd tree

From: Christoph Böhmwalder <[email-masked]>
Date: Wed, 25 Mar 2026 18:33:09 +0100

Am 25.03.26 um 17:57 schrieb Mark Brown:
> On Wed, Mar 25, 2026 at 05:47:34PM +0100, Christoph Böhmwalder wrote:
>> Am 25.03.26 um 17:30 schrieb Jens Axboe:
> 
>>> I won't submit the changes in for-7.1/drbd, but just expect you to send
>>> a new series against for-7.2/block when that is a thing. The 7.2 one
>>> should be closer to going upstream, and so forth. Within a few revisions
>>> of the mainline kernel, we'll get to the point where for-7.x/drbd can be
>>> included in the merge window pull request as well, and we're done at
>>> that point and future drbd changes will just get submitted against
>>> for-7.x/block like any other block driver.
> 
>> Sounds like a plan. I'll send the rebased series this week.
>> We already have a few "get it closer to going upstream" patches in the
>> pipeline targeted for the 7.1 and 7.2 merge windows, but none of them
>> are truly ready yet. So this approach would fit very well.
> 
>> Exactly, once we are done with all this we will adopt a "normal"
>> upstream-first dev approach again. We've already discussed changes to
>> our internal workflow to make sure we never digress this far from
>> upstream again -- I think that's in all our interests :)
> 
> So I should just drop the drbd tree entirely from tomorrow?

I guess that would actually be the easiest path then, yes.
Sorry for the churn on your side.

-- 
Christoph Böhmwalder
LINBIT | Keeping the Digital World Running
DRBD HA —  Disaster Recovery — Software defined Storage